#pragma once

#include <QString>

namespace Codes {
enum class Register {
    success,
    noLogin,
    emptyLogin,
    loginExists,
    loginPolicyViolation,
    noPassword,
    emptyPassword,
    passwordPolicyViolation,
    unknownError
};

enum class Login {
    success,
    noLogin,
    emptyLogin,
    noPassword,
    emptyPassword,
    wrongCredentials,
    unknownError
};

Register convertRegister (int source);
Login convertLogin (int source);

QString description (Register code);
QString description (Login code);

}
