#pragma once

#include <functional>

class FinalAction {
public:
    FinalAction(const std::function<void()>& action);
    ~FinalAction();

    FinalAction() = delete;
    FinalAction(const FinalAction&) = delete;
    FinalAction(FinalAction&&) = delete;
    FinalAction& operator = (const FinalAction&) = delete;
    FinalAction& operator = (FinalAction&&) = delete;

private:
    std::function<void()> action;
};

